import { computed, watch, ref } from "vue";
import { omit } from 'lodash';
import { EChartsOption } from "echarts";
import { useRequest } from "vue-hooks-plus";

export const useChartOptions = (props: Record<string, any>) => {
  const options = ref<EChartsOption>(omit(props, ['width', 'height', 'dataSource']) as EChartsOption);

  const { run, refresh, cancel, data, loading} = useRequest(props.dataSource.url, {
    defaultParams: props.dataSource.params,
    manual: false
  })

  return {
    options,
    loading
  }
}