import { EChartsOption } from "echarts"
import { colorPreset } from "./colorDefaultConfig"

// 图表默认配置项
export const chartDefaultConfig: EChartsOption = {
  // 调色盘-预设颜色
  color: colorPreset[0].color,
  // 标题
  title: {
    left: "center",
    top: 8,
    textStyle: {
      color: "#fff",
      fontSize: 16,
    },
  },
  // 图例
  legend: {
    textStyle: {
      color: "#fff",
    },
    top: 32,
  },
  // 布局
  grid: {
    bottom: 34,
    right: 20,
    top: 60,
  },
  // 提示框
  tooltip: {},
  // x轴
  xAxis: {
    type: "category",
    axisLabel: {
      color: "#9fadbf",
    },
  },
  // y轴
  yAxis: {
    axisLabel: {
      color: "#9fadbf",
    },
    splitLine: {
      lineStyle: {
        type: "dashed",
        color: "#36485f",
      },
    },
  },
}